Bug 600144 - document that mkmountpoint and umount-all cannot be mixed
document that mkmountpoint and umount-all cannot be mixed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 599503 613593
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 22:35 EDT by Jinxin Zheng
Modified: 2015-09-27 22:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: libguestfs-1.7.17-4.el6
Doc Type: Bug Fix
Doc Text:
Mount points created with the mkmountpoint command become invalid after the umount-all command is used. These two commands are considered incompatible. This is now documented in the guestfish man page. Customers should note that it is possible to safely unmount devices mounted with mkmountpoint by using the umount command.
Story Points: ---
Clone Of: 599503
Environment:
Last Closed: 2011-05-19 07:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 RHEL Product and Program Management 2010-06-07 12:01:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Richard W.M. Jones 2010-07-07 18:27:18 EDT
I changed the summary to be consistent with bug 599503.
We're not going to fix this, but we will document the problems
with mixing mkmountpoint and umount-all, for RHEL 6.1.
Comment 4 RHEL Product and Program Management 2010-07-15 10:22:46 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 6 Richard W.M. Jones 2011-01-04 09:13:55 EST
Fixed by the rebase.
Comment 8 Jinxin Zheng 2011-01-27 01:18:09 EST
the output of `guestfish help mkmountpoint` contains:

--
    "mkmountpoint" is not compatible with "umount_all". You may get
    unexpected errors if you try to mix these calls. It is safest to
    manually unmount filesystems and remove mountpoints after use.

    "umount_all" unmounts filesystems by sorting the paths longest first, so
    for this to work for manual mountpoints, you must ensure that the
    innermost mountpoints have the longest pathnames, as in the example code
    above.
--

so this could be VERIFIED.
Comment 15 errata-xmlrpc 2011-05-19 07:44:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html
Comment 16 errata-xmlrpc 2011-05-19 09:16:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0586.html

Note You need to log in before you can comment on or make changes to this bug.